package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_dishes_size")
@ApiModel("菜品销售规格")
public class MenuDishesSize {
   @ApiModelProperty("主键id")
   private Long baseDishesId;
   @ApiModelProperty("主键id")
   private Long sizeId;
   @ApiModelProperty("菜品id")
   private String sizeName;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public Long getSizeId() {
      return this.sizeId;
   }

   public String getSizeName() {
      return this.sizeName;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setSizeId(final Long sizeId) {
      this.sizeId = sizeId;
   }

   public void setSizeName(final String sizeName) {
      this.sizeName = sizeName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
